- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Updates the metadata and configuration of a specific Redis cluster.
Completed longrunning.Operation will contain the new cluster object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call operations.delete.
HTTP request
PATCH https://redis.googleapis.com/v1beta1/{cluster.name=projects/*/locations/*/clusters/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
cluster.name |
Required. Identifier. Unique name of the resource in this scope including project and location using the form: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from
This is a comma-separated list of fully qualified names of fields. Example: |
requestId |
Optional. Idempotent request UUID. |
Request body
The request body contains an instance of Cluster.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/redis.read-write
For more information, see the Authentication Overview.